Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.configuration
Interface FileConfiguration

All Superinterfaces:
  Configuration

All Known Implementing Classes:
  AbstractFileConfiguration, AbstractHierarchicalFileConfiguration

public interface FileConfiguration
extends Configuration

A persistent configuration loaded and saved to a file.

Since:
  1.0-rc2
Version:
  $Revision: 529194 $, $Date: 2007-04-16 12:40:42 +0200 (Mo, 16 Apr 2007) $
Author:
  Emmanuel Bourg

Method Summary
`String` | `getBasePath()` Returns the base path.
`String` | `getEncoding()` Return the encoding used to store the configuration file.
`File` | `getFile()` Return the file where the configuration is stored.
`String` | `getFileName()` Return the name of the file.
`ReloadingStrategy` | `getReloadingStrategy()` Return the reloading strategy.
`URL` | `getURL()` Return the URL where the configuration is stored.
`boolean` | `isAutoSave()` Tells if properties are automatically saved to the disk.
`void` | `load()` Load the configuration from the underlying URL.
`void` | `load(File file)` Load the configuration from the specified file.
`void` | `load(InputStream in)` Load the configuration from the specified stream, using the encoding returned by `getEncoding()`.
`void` | `load(InputStream in, String encoding)` Load the configuration from the specified stream, using the specified encoding.
`void` | `load(Reader in)` Load the configuration from the specified reader.
`void` | `load(String fileName)` Locate the specified file and load the configuration.
`void` | `load(URL url)` Load the configuration from the specified URL.
`void` | `reload()` Reload the configuration.
`void` | `save()` Save the configuration.
`void` | `save(File file)` Save the configuration to the specified file.
`void` | `save(OutputStream out)` Save the configuration to the specified stream, using the encoding returned by `getEncoding()`.
`void` | `save(OutputStream out, String encoding)` Save the configuration to the specified stream, using the specified encoding.
`void` | `save(String fileName)` Save the configuration to the specified file.
`void` | `save(URL url)` Save the configuration to the specified URL.
`void` | `save(Writer out)` Save the configuration to the specified writer.
`void` | `setAutoSave(boolean autoSave)` Enable or disable the automatical saving of modified properties to the disk.
`void` | `setBasePath(String basePath)` Sets the base path.
`void` | `setEncoding(String encoding)` Set the encoding used to store the configuration file.
`void` | `setFile(File file)` Set the file where the configuration is stored.
`void` | `setFileName(String fileName)` Set the name of the file.
`void` | `setReloadingStrategy(ReloadingStrategy strategy)` Set the reloading strategy.
`void` | `setURL(URL url)` The URL where the configuration is stored.

Methods inherited from interface org.apache.commons.configuration.Configuration
`addProperty, clear, clearProperty, containsKey, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getBoolean, getByte, getByte, getByte, getDouble, getDouble, getDouble, getFloat, getFloat, getFloat, getInt, getInt, getInteger, getKeys, getKeys, getList, getList, getLong, getLong, getLong, getProperties, getProperty, getShort, getShort, getShort, getString, getString, getStringArray, isEmpty, setProperty, subset`

Method Detail

### load

    public void load()
              throws ConfigurationException

  Load the configuration from the underlying URL. If the URL is not specified, it attempts to locate the specified file name.

  Throws:
    `ConfigurationException` - if an error occurs during the load operation

### load

    public void load(String fileName)
              throws ConfigurationException

  Locate the specified file and load the configuration.

  Parameters:
    `fileName` - the name of the file loaded
  Throws:
    `ConfigurationException` - if an error occurs during the load operation

### load

    public void load(File file)
              throws ConfigurationException

  Load the configuration from the specified file.

  Parameters:
    `file` - the loaded file
  Throws:
    `ConfigurationException` - if an error occurs during the load operation

### load

    public void load(URL url)
              throws ConfigurationException

  Load the configuration from the specified URL.

  Parameters:
    `url` - the URL of the file loaded
  Throws:
    `ConfigurationException` - if an error occurs during the load operation

### load

    public void load(InputStream in)
              throws ConfigurationException

  Load the configuration from the specified stream, using the encoding returned by `getEncoding()`.

  Parameters:
    `in` - the input stream
  Throws:
    `ConfigurationException` - if an error occurs during the load operation

### load

    public void load(InputStream in,
                     String encoding)
              throws ConfigurationException

  Load the configuration from the specified stream, using the specified encoding. If the encoding is null the default encoding is used.

  Parameters:
    `in` - the input stream
    `encoding` - the encoding used. `null` to use the default encoding
  Throws:
    `ConfigurationException` - if an error occurs during the load operation

### load

    public void load(Reader in)
              throws ConfigurationException

  Load the configuration from the specified reader.

  Parameters:
    `in` - the reader
  Throws:
    `ConfigurationException` - if an error occurs during the load operation

### save

    public void save()
              throws ConfigurationException

  Save the configuration.

  Throws:
    `ConfigurationException` - if an error occurs during the save operation

### save

    public void save(String fileName)
              throws ConfigurationException

  Save the configuration to the specified file.

  Parameters:
    `fileName` - the name of the file to be saved
  Throws:
    `ConfigurationException` - if an error occurs during the save operation

### save

    public void save(File file)
              throws ConfigurationException

  Save the configuration to the specified file.

  Parameters:
    `file` - specifies the file to be saved
  Throws:
    `ConfigurationException` - if an error occurs during the save operation

### save

    public void save(URL url)
              throws ConfigurationException

  Save the configuration to the specified URL.

  Parameters:
    `url` - the URL
  Throws:
    `ConfigurationException` - if an error occurs during the save operation

### save

    public void save(OutputStream out)
              throws ConfigurationException

  Save the configuration to the specified stream, using the encoding returned by `getEncoding()`.

  Parameters:
    `out` - the output stream
  Throws:
    `ConfigurationException` - if an error occurs during the save operation

### save

    public void save(OutputStream out,
                     String encoding)
              throws ConfigurationException

  Save the configuration to the specified stream, using the specified encoding. If the encoding is null the default encoding is used.

  Parameters:
    `out` - the output stream
    `encoding` - the encoding to be used
  Throws:
    `ConfigurationException` - if an error occurs during the save operation

### save

    public void save(Writer out)
              throws ConfigurationException

  Save the configuration to the specified writer.

  Parameters:
    `out` - the writer
  Throws:
    `ConfigurationException` - if an error occurs during the save operation

### getFileName

    public String getFileName()

  Return the name of the file.

  Returns:
    the file name

### setFileName

    public void setFileName(String fileName)

  Set the name of the file.

  Parameters:
    `fileName` - the name of the file

### getBasePath

    public String getBasePath()

  Returns the base path. One way to specify the location of a configuration source is by setting its base path and its file name. This method returns this base path. The concrete value returned by this method depends on the way the location of the configuration file was set. If methods like `setFile()` or `setURL()` were used, the base path typically points to the parent directory of the configuration file (e.g. for the URL `file:/temp/test.properties` the base path will be `file:/temp/`). If the base path was explictly set using `setBasePath()`, this method will return the exact value specified here without further modifications.

  Returns:
    the base path
  See Also:
    `AbstractFileConfiguration.setBasePath(String)`

### setBasePath

    public void setBasePath(String basePath)

  Sets the base path. The methods `setBasePath()` and `setFileName()` can be used together to specify the location of the configuration file to be loaded. If relative file names are to be resolved (e.g. for the include files supported by `PropertiesConfiguration`), this base path will be used.

  Parameters:
    `basePath` - the base path.

### getFile

    public File getFile()

  Return the file where the configuration is stored.

  Returns:
    the configuration file

### setFile

    public void setFile(File file)

  Set the file where the configuration is stored.

  Parameters:
    `file` - the file

### getURL

    public URL getURL()

  Return the URL where the configuration is stored.

  Returns:
    the URL of the configuration

### setURL

    public void setURL(URL url)

  The URL where the configuration is stored.

  Parameters:
    `url` - the URL

### setAutoSave

    public void setAutoSave(boolean autoSave)

  Enable or disable the automatical saving of modified properties to the disk.

  Parameters:
    `autoSave` - `true` to enable, `false` to disable
  Since:
    1.1

### isAutoSave

    public boolean isAutoSave()

  Tells if properties are automatically saved to the disk.

  Returns:
    `true` if auto-saving is enabled, `false` otherwise
  Since:
    1.1

### getReloadingStrategy

    public ReloadingStrategy getReloadingStrategy()

  Return the reloading strategy.

  Returns:
    the reloading strategy currently used
  Since:
    1.1

### setReloadingStrategy

    public void setReloadingStrategy(ReloadingStrategy strategy)

  Set the reloading strategy.

  Parameters:
    `strategy` - the reloading strategy to use
  Since:
    1.1

### reload

    public void reload()

  Reload the configuration.

  Since:
    1.1

### getEncoding

    public String getEncoding()

  Return the encoding used to store the configuration file. If the value is null the default encoding is used.

  Returns:
    the current encoding
  Since:
    1.1

### setEncoding

    public void setEncoding(String encoding)

  Set the encoding used to store the configuration file. Set the encoding to null to use the default encoding.

  Parameters:
    `encoding` - the encoding to use
  Since:
    1.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.